Learning about cellular Jail from your video taught me the significance of our freedom fighters more than what I learned in school. Chilling scenes. Great video !!🙌
import FreeCAD as App import Part from OCC import TopoDS, BRepBuilderAPI doc = App.newDocument() # Create a shape with edges shape = Part.makeBox(10, 10, 10) # Apply the desired transformation to the shape translation_vector = App.Vector(5, 0, 0) transform = Part.Translation(translation_vector) transformed_shape = shape.transformGeometry(transform) # Convert the transformed shape to a TopoDS_Shape topo_shape = BRepBuilderAPI.BRepBuilderAPI_MakeShape() topo_shape.Add(TopoDS.TopoDS_Face(transformed_shape.Faces[0].wrapped)) topo_face = topo_shape.Face() # Create a face using the original edges and the transformed face new_shape = Part.Shape() for edge in shape.Edges: new_shape.add(edge) new_shape.add(topo_face) # Add the face to the document doc.addObject("Part::Feature", "MyFace").Shape = new_shape
Learning about cellular Jail from your video taught me the significance of our freedom fighters more than what I learned in school. Chilling scenes. Great video !!🙌
Thank you ❤️
Very nice Rohit
मित्रा खूप छान व्हिडिओ बनवलास
खुपचं छान 😍😍✨
खूपच छान माहिती
Kadakkk bhava
Khup ch chan,✌❤
sahi video banavlas 😍
Nice informative vlog ✨👍😍
Nice 👍 information bro
Gggg
import FreeCAD as App
import Part
from OCC import TopoDS, BRepBuilderAPI
doc = App.newDocument()
# Create a shape with edges
shape = Part.makeBox(10, 10, 10)
# Apply the desired transformation to the shape
translation_vector = App.Vector(5, 0, 0)
transform = Part.Translation(translation_vector)
transformed_shape = shape.transformGeometry(transform)
# Convert the transformed shape to a TopoDS_Shape
topo_shape = BRepBuilderAPI.BRepBuilderAPI_MakeShape()
topo_shape.Add(TopoDS.TopoDS_Face(transformed_shape.Faces[0].wrapped))
topo_face = topo_shape.Face()
# Create a face using the original edges and the transformed face
new_shape = Part.Shape()
for edge in shape.Edges:
new_shape.add(edge)
new_shape.add(topo_face)
# Add the face to the document
doc.addObject("Part::Feature", "MyFace").Shape = new_shape
खूपच छान माहिती